!
subroutine LA60(A,H)
!       
!   .
!   90  'orthes'  
! . .,  .     .
real, intent(in):: A(:,:)
real:: H(:,:)
real, allocatable:: V(:)
real, parameter:: Tol=1.E-12
real HH, W, S, Alpha, Gamma
integer i, j, k, k1, k2, n
!begin
  n=size(A,1)
  if (loc(A)/=loc(H)) H=A
  allocate(V(n))
  do k=1, n-2
    k1=k+1; k2=k+2
    S=0.0
    do i=k2, n
      S=S+H(i,k)**2
    end do
    if (S==0.0) cycle
    HH=H(k1,k); S=S+HH*HH
    if (S<Tol)  cycle
    Alpha=sign(sqrt(S),HH)
    H(k1,k)=HH+Alpha; Gamma=Alpha*(HH+Alpha)
    do j=k1, n
      S=0.0
      do i=k1, n
        S=S+H(i,k)*H(i,j)
      end do
      W=S/Gamma
      do i=k1, n
        H(i,j)=H(i,j)-H(i,k)*W
      end do
    end do
    do i=1, n
      S=0.0
      do j=k1, n
        S=S+H(i,j)*H(j,k)
      end do
      V(i)=S/Gamma
    end do
    do j=k1, n
      do i=1, n
        H(i,j)=H(i,j)-H(j,k)*V(i)
      end do
    end do
    H(k1,k)=-Alpha
    H(k2:n,k)=0.0
  end do
  deallocate(V)
  return
end subroutine LA60
